- 积分
- 216
- 明经币
- 个
- 注册时间
- 2013-8-14
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
之前用vs2008+arx2010编译的库,能在CAD2010/2011/2012中成功加载,后来因为要编译64位的程序,修改了代码,然后就只能在CAD2010上加载,其他版本上有部分库就加不进去了,用Dependency查看,和原来的相比,增加了一个依赖acapp.arx,
代码修改如下:
virtual Acad::ErrorStatus getOsnapInfo(
AcDbEntity* pickedObject,
int gsSelectionMark,
const AcGePoint3d& pickPoint,
const AcGePoint3d& lastPoint,
const AcGeMatrix3d& viewXform,
AcArray<AcGePoint3d>& snapPoints,
AcArray<int>& geomIdsForPts,
AcArray<AcGeCurve3d*>& snapCurves,
AcArray<int>& geomIdsForLines) = 0;
将以上代码修改如下:
#ifdef _WIN64 //win64
virtual Acad::ErrorStatus getOsnapInfo(
AcDbEntity* pickedObject,
Adesk::GsMarker gsSelectionMark,
const AcGePoint3d& pickPoint,
const AcGePoint3d& lastPoint,
const AcGeMatrix3d& viewXform,
AcArray<AcGePoint3d>& snapPoints,
AcDbIntArray & geomIdsForPts,
AcArray<AcGeCurve3d*>& snapCurves,
AcDbIntArray & geomIdsForLines) = 0;
#else //win32
virtual Acad::ErrorStatus getOsnapInfo(
AcDbEntity* pickedObject,
int gsSelectionMark,
const AcGePoint3d& pickPoint,
const AcGePoint3d& lastPoint,
const AcGeMatrix3d& viewXform,
AcArray<AcGePoint3d>& snapPoints,
AcArray<int>& geomIdsForPts,
AcArray<AcGeCurve3d*>& snapCurves,
AcArray<int>& geomIdsForLines) = 0;
#endif
希望有知道的朋友指点我一下,这里卡了很长时间了
|
|